/* Copyright (C) 1998 Alexander Kourakos */
/* Copyright (C) 2021 Arktis Desktop Project, GNU GPLv3 or any later  */

#ifndef SDClock_H
#define SDClock_H 1

#include <unistd.h>

#define NAME "sdclock"
#define CLASS "SDClock"

#ifndef TRUE
#define TRUE 1
#endif
#ifndef FALSE
#define FALSE 0
#endif

#define S_L_LENGTH 512
#define S_M_LENGTH 64
#define S_S_LENGTH 16

/* needs to be an even divisor of 1e6 */
#define PERIOD 200000L

typedef struct options {
	int ar, he, hl, hw, ml, nd, ne, nn, ns, se, sl, sw;
	int sx, sxy, sy, xa, xd, xx, ya, yd, yy;
	char bg_pix[S_M_LENGTH], dc[S_S_LENGTH], dl[S_M_LENGTH], fn[S_M_LENGTH];
	char hc[S_S_LENGTH], mm[S_M_LENGTH], rr[S_M_LENGTH], sc[S_S_LENGTH];
} options;

extern options option;
void CreateWindow(int, char *[]);
void DestroyWindow(void);
void UpdateClock(void);
void HandleEvents(int *);

#endif

